/*
 * $Id: CopyrightViewAction.java,v 1.1 2006/05/18 22:48:50 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: CopyrightViewAction.java,v $
 * Revision 1.1  2006/05/18 22:48:50  marbobo
 * + Initiale Version
 *
 */
package vkc.view.action;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import vkc.misc.VKCLogManager;
import vkc.view.form.CopyrightViewForm;

public final class CopyrightViewAction extends Action {
	private ActionForward DEFAULT_FORWARD = new ActionForward("/templates/${template.name}/CopyrightView.jsp", false);

	public ActionForward execute(ActionMapping mapping, 
								 ActionForm f,
								 HttpServletRequest request, 
								 HttpServletResponse response)
	throws ServletException {
		try {
			CopyrightViewForm form = (CopyrightViewForm) f;

			return handleInitialzeAction(form, request);
		} catch (Exception e) {
			VKCLogManager.errorLog(this, "", e.getMessage(), e);
			throw new ServletException(e);
		}
	}

	private ActionForward handleInitialzeAction(CopyrightViewForm form, HttpServletRequest request) throws Exception {
		return DEFAULT_FORWARD;
	}
}